from typing import Any, List

import dream3d.simpl

class AdaptiveAlignment(dream3d.simpl.AbstractFilter):
    GlobalCorrection: int
    ImageDataArrayPath: dream3d.simpl.DataArrayPath
    InputPath: str
    MaxRadius: float
    MinRadius: float
    NewCellArrayName: str
    NumberCircles: int
    ShiftX: float
    ShiftY: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class AdaptiveAlignmentFeature(dream3d.simpl.AbstractFilter):
    GoodVoxelsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class AdaptiveAlignmentMisorientation(dream3d.simpl.AbstractFilter):
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    GoodVoxelsArrayPath: dream3d.simpl.DataArrayPath
    MisorientationTolerance: float
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    UseGoodVoxels: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class AdaptiveAlignmentMutualInformation(dream3d.simpl.AbstractFilter):
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    GlobalCorrection: int
    GoodVoxelsArrayPath: dream3d.simpl.DataArrayPath
    ImageDataArrayPath: dream3d.simpl.DataArrayPath
    MisorientationTolerance: float
    QuatsArrayPath: dream3d.simpl.DataArrayPath
    UseGoodVoxels: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class AlignGeometries(dream3d.simpl.AbstractFilter):
    AlignmentType: int
    MovingGeometry: dream3d.simpl.DataArrayPath
    TargetGeometry: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ApplyTransformationToGeometry(dream3d.simpl.AbstractFilter):
    ComputedTransformationMatrix: dream3d.simpl.DataArrayPath
    GeometryToTransform: dream3d.simpl.DataArrayPath
    ManualTransformationMatrix: dream3d.simpl.DynamicTableData
    RotationAngle: float
    RotationAxis: dream3d.simpl.FloatVec3
    Scale: dream3d.simpl.FloatVec3
    TransformationMatrixType: int
    Translation: dream3d.simpl.FloatVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class AverageEdgeFaceCellArrayToVertexArray(dream3d.simpl.AbstractFilter):
    AverageVertexArrayPath: dream3d.simpl.DataArrayPath
    SelectedArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class AverageVertexArrayToEdgeFaceCellArray(dream3d.simpl.AbstractFilter):
    AverageCellArrayPath: dream3d.simpl.DataArrayPath
    SelectedArrayPath: dream3d.simpl.DataArrayPath
    WeightedAverage: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ComputeFeatureEigenstrains(dream3d.simpl.AbstractFilter):
    AxisEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    AxisLengthsArrayPath: dream3d.simpl.DataArrayPath
    Beta11: float
    Beta12: float
    Beta13: float
    Beta22: float
    Beta23: float
    Beta33: float
    EigenstrainsArrayName: str
    ElasticStrainsArrayPath: dream3d.simpl.DataArrayPath
    PoissonRatio: float
    UseCorrectionalMatrix: bool
    UseEllipsoidalGrains: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ComputeUmeyamaTransform(dream3d.simpl.AbstractFilter):
    DestPointSet: dream3d.simpl.DataArrayPath
    SourcePointSet: dream3d.simpl.DataArrayPath
    TransformationAttributeMatrixName: str
    TransformationMatrixName: str
    UseScaling: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class CreateArrayofIndices(dream3d.simpl.AbstractFilter):
    IndexArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class DBSCAN(dream3d.simpl.AbstractFilter):
    DistanceMetric: int
    Epsilon: float
    FeatureAttributeMatrixName: str
    FeatureIdsArrayName: str
    MaskArrayPath: dream3d.simpl.DataArrayPath
    MinPnts: int
    SelectedArrayPath: dream3d.simpl.DataArrayPath
    UseMask: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class DecimatePointCloud(dream3d.simpl.AbstractFilter):
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class DiscretizeDDDomain(dream3d.simpl.AbstractFilter):
    CellSize: dream3d.simpl.FloatVec3
    EdgeDataContainerName: dream3d.simpl.DataArrayPath
    OutputArrayName: str
    OutputAttributeMatrixName: str
    OutputDataContainerName: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class DownsampleVertexGeometry(dream3d.simpl.AbstractFilter):
    DecimationFraction: float
    DecimationFreq: int
    DownsampleType: int
    GridResolution: dream3d.simpl.FloatVec3
    VertexAttrMatPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class EstablishFoamMorphology(dream3d.simpl.AbstractFilter):
    CellPhasesArrayName: str
    CsvOutputFile: str
    DataContainerName: dream3d.simpl.DataArrayPath
    FeatureIdsArrayName: str
    GBEuclideanDistancesArrayName: str
    HaveFeatures: int
    InputCellFeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    InputPhaseNamesArrayPath: dream3d.simpl.DataArrayPath
    InputPhaseTypesArrayPath: dream3d.simpl.DataArrayPath
    InputShapeTypesArrayPath: dream3d.simpl.DataArrayPath
    InputStatsArrayPath: dream3d.simpl.DataArrayPath
    MaskArrayName: str
    MinStrutThickness: float
    NumFeaturesArrayName: str
    OutputCellAttributeMatrixPath: dream3d.simpl.DataArrayPath
    OutputCellEnsembleAttributeMatrixName: str
    OutputCellFeatureAttributeMatrixName: str
    PeriodicBoundaries: bool
    QPEuclideanDistancesArrayName: str
    SmoothStruts: bool
    StrutShapeVariability: float
    StrutThicknessVariability: float
    TJEuclideanDistancesArrayName: str
    WriteGoalAttributes: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ExtractInternalSurfacesFromTriangleGeometry(dream3d.simpl.AbstractFilter):
    InternalTrianglesName: str
    NodeTypesArrayPath: dream3d.simpl.DataArrayPath
    TriangleDataContainerName: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FFTHDFWriterFilter(dream3d.simpl.AbstractFilter):
    CellEigenstrainsArrayPath: dream3d.simpl.DataArrayPath
    CellEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    EigenstrainsOutputFile: str
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    OutputFile: str
    WriteEigenstrains: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindArrayStatistics(dream3d.simpl.AbstractFilter):
    ComputeByIndex: bool
    DestinationAttributeMatrix: dream3d.simpl.DataArrayPath
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    FindHistogram: bool
    FindLength: bool
    FindMax: bool
    FindMean: bool
    FindMedian: bool
    FindMin: bool
    FindStdDeviation: bool
    FindSummation: bool
    HistogramArrayName: str
    LengthArrayName: str
    MaskArrayPath: dream3d.simpl.DataArrayPath
    MaxRange: float
    MaximumArrayName: str
    MeanArrayName: str
    MedianArrayName: str
    MinRange: float
    MinimumArrayName: str
    NumBins: int
    SelectedArrayPath: dream3d.simpl.DataArrayPath
    StandardizeData: bool
    StandardizedArrayName: str
    StdDeviationArrayName: str
    SummationArrayName: str
    UseFullRange: bool
    UseMask: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindCSLBoundaries(dream3d.simpl.AbstractFilter):
    AngleTolerance: float
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    AxisTolerance: float
    CSL: float
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshCSLBoundaryArrayName: str
    SurfaceMeshCSLBoundaryIncoherenceArrayName: str
    SurfaceMeshFaceLabelsArrayPath: dream3d.simpl.DataArrayPath
    SurfaceMeshFaceNormalsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindElementCentroids(dream3d.simpl.AbstractFilter):
    CellCentroidsArrayPath: dream3d.simpl.DataArrayPath
    CreateVertexDataContainer: bool
    NewDataContainerName: dream3d.simpl.DataArrayPath
    VertexAttributeMatrixName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindNeighborListStatistics(dream3d.simpl.AbstractFilter):
    DestinationAttributeMatrix: dream3d.simpl.DataArrayPath
    FindLength: bool
    FindMax: bool
    FindMean: bool
    FindMedian: bool
    FindMin: bool
    FindStdDeviation: bool
    FindSummation: bool
    LengthArrayName: str
    MaximumArrayName: str
    MeanArrayName: str
    MedianArrayName: str
    MinimumArrayName: str
    SelectedArrayPath: dream3d.simpl.DataArrayPath
    StdDeviationArrayName: str
    SummationArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindNorm(dream3d.simpl.AbstractFilter):
    NormArrayPath: dream3d.simpl.DataArrayPath
    PSpace: float
    SelectedArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class FindVertexToTriangleDistances(dream3d.simpl.AbstractFilter):
    ClosestTriangleIdArrayPath: dream3d.simpl.DataArrayPath
    DistancesArrayPath: dream3d.simpl.DataArrayPath
    TriangleDataContainer: dream3d.simpl.DataArrayPath
    TriangleNormalsArrayPath: dream3d.simpl.DataArrayPath
    VertexDataContainer: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class GenerateFeatureIDsbyBoundingBoxes(dream3d.simpl.AbstractFilter):
    BoxCenterArrayPath: dream3d.simpl.DataArrayPath
    BoxDimensionsArrayPath: dream3d.simpl.DataArrayPath
    BoxFeatureIDsArrayPath: dream3d.simpl.DataArrayPath
    FeatureAttributeMatrixArrayPath: dream3d.simpl.DataArrayPath
    FeatureIDsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class GenerateMaskFromSimpleShapes(dream3d.simpl.AbstractFilter):
    AxesLengthArrayPath: dream3d.simpl.DataArrayPath
    BoxDimensionsArrayPath: dream3d.simpl.DataArrayPath
    CentersArrayPath: dream3d.simpl.DataArrayPath
    CylinderHeightArrayPath: dream3d.simpl.DataArrayPath
    CylinderRadiusArrayPath: dream3d.simpl.DataArrayPath
    MaskArrayPath: dream3d.simpl.DataArrayPath
    MaskShape: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class IdentifyDislocationSegments(dream3d.simpl.AbstractFilter):
    ActiveArrayName: str
    BurgersVectorsArrayPath: dream3d.simpl.DataArrayPath
    DislocationIdsArrayName: str
    SlipPlaneNormalsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ImportMASSIFData(dream3d.simpl.AbstractFilter):
    FilePrefix: str
    MassifInputFilePath: str
    StepNumber: int
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ImportQMMeltpoolH5File(dream3d.simpl.AbstractFilter):
    DataContainerPath: dream3d.simpl.DataArrayPath
    InputFiles: List[str]
    Power: float
    SliceRange: dream3d.simpl.IntVec2
    VertexAttributeMatrixName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...
    @property
    def PossibleIndices(self) -> str: ...

class ImportVolumeGraphicsFile(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    DataContainerName: str
    DensityArrayName: str
    VGHeaderFile: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...
    def getVGDataFile(self) -> str: ...

class InsertTransformationPhases(dream3d.simpl.AbstractFilter):
    AvgQuatsArrayPath: dream3d.simpl.DataArrayPath
    CellEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    CellFeatureAttributeMatrixName: dream3d.simpl.DataArrayPath
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    CentroidsArrayPath: dream3d.simpl.DataArrayPath
    CoherentFrac: float
    CrystalStructuresArrayPath: dream3d.simpl.DataArrayPath
    DefineHabitPlane: bool
    EquivalentDiametersArrayPath: dream3d.simpl.DataArrayPath
    FeatureEulerAnglesArrayPath: dream3d.simpl.DataArrayPath
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    FeatureParentIdsArrayName: str
    FeaturePhasesArrayPath: dream3d.simpl.DataArrayPath
    NumFeaturesArrayPath: dream3d.simpl.DataArrayPath
    NumFeaturesPerParentArrayPath: dream3d.simpl.DataArrayPath
    NumTransformationPhasesPerFeature: int
    ParentPhase: int
    PeninsulaFrac: float
    PhaseTypesArrayPath: dream3d.simpl.DataArrayPath
    ShapeTypesArrayPath: dream3d.simpl.DataArrayPath
    StatsGenCellEnsembleAttributeMatrixPath: dream3d.simpl.DataArrayPath
    TransCrystalStruct: int
    TransformationPhaseHabitPlane: dream3d.simpl.FloatVec3
    TransformationPhaseMisorientation: float
    TransformationPhaseThickness: float
    UseAllVariants: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class InterpolatePointCloudToRegularGrid(dream3d.simpl.AbstractFilter):
    ArraysToCopy: List[dream3d.simpl.DataArrayPath]
    ArraysToInterpolate: List[dream3d.simpl.DataArrayPath]
    CopySuffix: str
    DataContainerName: dream3d.simpl.DataArrayPath
    InterpolatedAttributeMatrixName: str
    InterpolatedDataContainerName: dream3d.simpl.DataArrayPath
    InterpolatedSuffix: str
    InterpolationTechnique: int
    KernelDistancesArrayName: str
    KernelSize: dream3d.simpl.FloatVec3
    MaskArrayPath: dream3d.simpl.DataArrayPath
    Sigmas: dream3d.simpl.FloatVec3
    StoreKernelDistances: bool
    UseMask: bool
    VoxelIndicesArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class IterativeClosestPoint(dream3d.simpl.AbstractFilter):
    ApplyTransform: bool
    Iterations: int
    MovingVertexGeometry: dream3d.simpl.DataArrayPath
    TargetVertexGeometry: dream3d.simpl.DataArrayPath
    TransformArrayName: str
    TransformAttributeMatrixName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class KDistanceGraph(dream3d.simpl.AbstractFilter):
    DistanceMetric: int
    KDistanceArrayPath: dream3d.simpl.DataArrayPath
    MaskArrayPath: dream3d.simpl.DataArrayPath
    MinDist: int
    SelectedArrayPath: dream3d.simpl.DataArrayPath
    UseMask: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class KMeans(dream3d.simpl.AbstractFilter):
    DistanceMetric: int
    FeatureAttributeMatrixName: str
    FeatureIdsArrayName: str
    InitClusters: int
    MaskArrayPath: dream3d.simpl.DataArrayPath
    MeansArrayName: str
    SelectedArrayPath: dream3d.simpl.DataArrayPath
    UseMask: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class KMedoids(dream3d.simpl.AbstractFilter):
    DistanceMetric: int
    FeatureAttributeMatrixName: str
    FeatureIdsArrayName: str
    InitClusters: int
    MaskArrayPath: dream3d.simpl.DataArrayPath
    MedoidsArrayName: str
    SelectedArrayPath: dream3d.simpl.DataArrayPath
    UseMask: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class LocalDislocationDensityCalculator(dream3d.simpl.AbstractFilter):
    BurgersVectorsArrayPath: dream3d.simpl.DataArrayPath
    CellSize: dream3d.simpl.FloatVec3
    DominantSystemArrayName: str
    EdgeDataContainerName: dream3d.simpl.DataArrayPath
    OutputArrayName: str
    OutputAttributeMatrixName: str
    OutputDataContainerName: dream3d.simpl.DataArrayPath
    SlipPlaneNormalsArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class MapPointCloudToRegularGrid(dream3d.simpl.AbstractFilter):
    CreatedImageDataContainerName: dream3d.simpl.DataArrayPath
    DataContainerName: dream3d.simpl.DataArrayPath
    GridDimensions: dream3d.simpl.IntVec3
    ImageDataContainerPath: dream3d.simpl.DataArrayPath
    MaskArrayPath: dream3d.simpl.DataArrayPath
    SamplingGridType: int
    UseMask: bool
    VoxelIndicesArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class NormalizeArrays(dream3d.simpl.AbstractFilter):
    DefaultValue: float
    MaskArrayPath: dream3d.simpl.DataArrayPath
    NormalizeType: int
    Postfix: str
    RangeMax: float
    RangeMin: float
    SelectedDataArrayPaths: List[dream3d.simpl.DataArrayPath]
    UseMask: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ParaDisReader(dream3d.simpl.AbstractFilter):
    BurgersVector: float
    BurgersVectorsArrayName: str
    DomainBoundsArrayName: str
    EdgeAttributeMatrixName: str
    EdgeDataContainerName: dream3d.simpl.DataArrayPath
    InputFile: str
    NodeConstraintsArrayName: str
    NumberOfArmsArrayName: str
    SlipPlaneNormalsArrayName: str
    VertexAttributeMatrixName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class PointSampleTriangleGeometry(dream3d.simpl.AbstractFilter):
    MaskArrayPath: dream3d.simpl.DataArrayPath
    NumberOfSamples: int
    ParentGeometry: dream3d.simpl.DataArrayPath
    SamplesNumberType: int
    SelectedDataArrayPaths: List[dream3d.simpl.DataArrayPath]
    TriangleAreasArrayPath: dream3d.simpl.DataArrayPath
    TriangleGeometry: dream3d.simpl.DataArrayPath
    UseMask: bool
    VertexAttributeMatrixName: str
    VertexGeometry: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class PottsModel(dream3d.simpl.AbstractFilter):
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    Iterations: int
    MaskArrayPath: dream3d.simpl.DataArrayPath
    PeriodicBoundaries: bool
    Temperature: float
    UseMask: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class PrincipalComponentAnalysis(dream3d.simpl.AbstractFilter):
    MatrixApproach: int
    NumberOfDimensionsForProjection: int
    PCAttributeMatrixName: str
    PCEigenvaluesName: str
    PCEigenvectorsName: str
    ProjectDataSpace: bool
    ProjectedDataSpaceArrayPath: dream3d.simpl.DataArrayPath
    SelectedDataArrayPaths: List[dream3d.simpl.DataArrayPath]
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class ReadBinaryCTNorthStar(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    DataContainerName: str
    DensityArrayName: str
    EndVoxelCoord: dream3d.simpl.IntVec3
    ImportSubvolume: bool
    InputHeaderFile: str
    LengthUnit: int
    StartVoxelCoord: dream3d.simpl.IntVec3
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...
    @property
    def DataFileInfo(self) -> str: ...
    @property
    def ImportedVolumeDescription(self) -> str: ...
    @property
    def VolumeDescription(self) -> str: ...

class ReadMicData(dream3d.simpl.AbstractFilter):
    CellAttributeMatrixName: str
    CellEnsembleAttributeMatrixName: str
    DataContainerName: dream3d.simpl.DataArrayPath
    FileWasRead: bool
    InputFile: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class RemoveFlaggedVertices(dream3d.simpl.AbstractFilter):
    MaskArrayPath: dream3d.simpl.DataArrayPath
    ReducedVertexGeometry: str
    VertexGeometry: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class RobustAutomaticThreshold(dream3d.simpl.AbstractFilter):
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    GradientMagnitudeArrayPath: dream3d.simpl.DataArrayPath
    InputArrayPath: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class Silhouette(dream3d.simpl.AbstractFilter):
    DistanceMetric: int
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    MaskArrayPath: dream3d.simpl.DataArrayPath
    SelectedArrayPath: dream3d.simpl.DataArrayPath
    SilhouetteArrayPath: dream3d.simpl.DataArrayPath
    UseMask: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class SliceTriangleGeometry(dream3d.simpl.AbstractFilter):
    CADDataContainerName: dream3d.simpl.DataArrayPath
    EdgeAttributeMatrixName: str
    HaveRegionIds: bool
    RegionIdArrayPath: dream3d.simpl.DataArrayPath
    SliceAttributeMatrixName: str
    SliceDataContainerName: str
    SliceDirection: dream3d.simpl.FloatVec3
    SliceIdArrayName: str
    SliceRange: int
    SliceResolution: float
    Zend: float
    Zstart: float
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class SteinerCompact(dream3d.simpl.AbstractFilter):
    CellPhasesArrayPath: dream3d.simpl.DataArrayPath
    FeatureIdsArrayPath: dream3d.simpl.DataArrayPath
    Plane: int
    Sites: int
    TxtFileName: str
    TxtOutput: bool
    VtkFileName: str
    VtkOutput: bool
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class TesselateFarFieldGrains(dream3d.simpl.AbstractFilter):
    AxisEulerAnglesArrayName: str
    AxisLengthsArrayName: str
    CellPhasesArrayName: str
    CentroidsArrayName: str
    CrystalStructuresArrayName: str
    ElasticStrainsArrayName: str
    EquivalentDiametersArrayName: str
    FeatureEulerAnglesArrayName: str
    FeatureIdsArrayName: str
    FeatureInputFileListInfo: dream3d.simpl.StackFileListInfo
    FeaturePhasesArrayName: str
    MaskArrayPath: dream3d.simpl.DataArrayPath
    Omega3sArrayName: str
    OutputCellAttributeMatrixName: dream3d.simpl.DataArrayPath
    SlabIdArrayName: str
    VolumesArrayName: str
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class TiDwellFatigueCrystallographicAnalysis(dream3d.simpl.AbstractFilter):
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...

class WaveFrontObjectFileWriter(dream3d.simpl.AbstractFilter):
    OutputWaveFrontFile: str
    TriangleGeometry: dream3d.simpl.DataArrayPath
    def __init__(self) -> None: ...
    def New(self, *args, **kwargs) -> Any: ...
